---
title: List zone snippets
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Snippets](https://developers.cloudflare.com/api/go/resources/snippets)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List zone snippets

client.Snippets.List(ctx, params) (\*V4PagePaginationArray\[[SnippetListResponse](<https://developers.cloudflare.com/api/go/resources/snippets#(resource)%20snippets%20%3E%20(model)%20SnippetListResponse%20%3E%20(schema)>)], error)

GET/zones/{zone\_id}/snippets

Fetches all snippets belonging to the zone.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Snippets Write``Snippets Read`

##### ParametersExpand Collapse

<details>

<summary>

params SnippetListParams

</summary>

ZoneID param.Field\[string]

Path param: Use this field to specify the unique ID of the zone.

<a href="#(resource)%20snippets%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

Page param.Field\[int64]Optional

Query param: Specifies the current page number.

minimum1

<a href="#(resource)%20snippets%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20page">Link to this property</a>

PerPage param.Field\[int64]Optional

Query param: Specifies how many results to return per page.

minimum1

<a href="#(resource)%20snippets%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20per_page">Link to this property</a>

</details>

[Link to this property](<#(resource)%20snippets%20%3E%20(method)%20list%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type SnippetListResponse struct{…}

Define a snippet.

</summary>

CreatedOn Time

Indicates when the snippet was created.

formatdate-time

<a href="#(resource)%20snippets%20%3E%20(model)%20SnippetListResponse%20%3E%20(schema)%20%3E%20(property)%20created_on">Link to this property</a>

SnippetName string

Identify the snippet.

<a href="#(resource)%20snippets%20%3E%20(model)%20SnippetListResponse%20%3E%20(schema)%20%3E%20(property)%20snippet_name">Link to this property</a>

ModifiedOn TimeOptional

Indicates when the snippet was last modified.

formatdate-time

<a href="#(resource)%20snippets%20%3E%20(model)%20SnippetListResponse%20%3E%20(schema)%20%3E%20(property)%20modified_on">Link to this property</a>

</details>

[Link to this property](<#(resource)%20snippets%20%3E%20(model)%20SnippetListResponse%20%3E%20(schema)>)

### List zone snippets

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/snippets"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.Snippets.List(context.TODO(), snippets.SnippetListParams{
    ZoneID: cloudflare.F("9f1839b6152d298aca64c4e906b6d074"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
```

200 example

```
{
  "errors": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "messages": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "result": [
    {
      "created_on": "2000-01-01T00:00:00Z",
      "snippet_name": "my_snippet",
      "modified_on": "2000-01-01T00:00:00Z"
    }
  ],
  "success": true,
  "result_info": {
    "count": 25,
    "page": 1,
    "per_page": 25,
    "total_count": 100,
    "total_pages": 10
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "messages": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "result": [
    {
      "created_on": "2000-01-01T00:00:00Z",
      "snippet_name": "my_snippet",
      "modified_on": "2000-01-01T00:00:00Z"
    }
  ],
  "success": true,
  "result_info": {
    "count": 25,
    "page": 1,
    "per_page": 25,
    "total_count": 100,
    "total_pages": 10
  }
}
```